<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Services\UploadService;

class UploadController extends Controller
{
    public $uploadService;
    public function __construct(UploadService $uploadService)
    {
        $this->uploadService = $uploadService;
    }

    public function index()
    {
        return view("upload");
    }

    public function store(Request $request)
    {
        $this->uploadService->upload($request->file('logo'));

        dd("upladed successfully");
        return view("upload");
    }
}